#pragma once
#include "afxcmn.h"
#include "afxwin.h"


// CMenuZoomSetting_Dlg 对话框

class CMenuZoomSetting_Dlg : public CDialogEx
{
	DECLARE_DYNAMIC(CMenuZoomSetting_Dlg)

public:
	CMenuZoomSetting_Dlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CMenuZoomSetting_Dlg();
public:
	IAdvImageShowControl*  m_pControl;
public:
// 对话框数据

	enum { IDD = IDD_DIALOG_ZOOM};


protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();

private:
	void UpdateZoomRangeToUI(float flMin, float flMax,float flCurrent);
public:
	float m_flMinZoomValue;
	float m_flMaxZoomValue;
	CSliderCtrl m_slider_range;
	CComboBox m_line_cbx;
	CMFCColorButton m_btn_color;

	afx_msg void OnBnClickedButtonSetting();
	afx_msg void OnBnClickedButtonAutoResize();
	afx_msg void OnBnClickedOk();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	float m_flDBZoomValue;
	afx_msg void OnBnClickedCheckDbzoom();
	afx_msg void OnBnClickedButtonSetting2();
	afx_msg void OnBnClickedButtonRealSize();

	afx_msg void OnBnClickedCheckEnable();
	afx_msg void OnCbnSelchangeComboLine();
	afx_msg void OnBnClickedMfccolorbuttonColor();
 

	CComboBox m_ctrlLZoomKey;
	afx_msg void OnCbnSelchangeComboVkKey();
};
